Package: org.gradle.api.tasks.compile

## [Java] Class AbstractOptions

- org.gradle.api.tasks.compile.AbstractOptions

- All Implemented Interfaces and Traits:
    Serializable

      public abstract class AbstractOptions
      extends Object

  Base class for compilation-related options.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `define(Map<String, Object> args)`
    `protected boolean` | `excludeFromAntProperties(String fieldName)`
    `protected String` | `getAntPropertyName(String fieldName)`
    `protected Object` | `getAntPropertyValue(String fieldName, Object value)`
    `Map<String, Object>` | `optionMap()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void define(@Nullable Map<String, Object> args)

    - #### protected boolean excludeFromAntProperties(String fieldName)

    - #### protected String getAntPropertyName(String fieldName)

    - #### protected Object getAntPropertyValue(String fieldName, Object value)

    - #### public Map<String, Object> optionMap()